## qtsensors-opensource-src 5.0~git20130115

=== tests/auto/cmake/test_modules/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_modules)

find_package(Qt5Core REQUIRED)

find_package(Qt5Sensors REQUIRED)

include_directories(
  ${Qt5Sensors_INCLUDE_DIRS}
)

add_definitions(
  ${Qt5Sensors_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)
target_link_libraries(mainapp
  ${Qt5Sensors_LIBRARIES}
)

=== debian/changelog ===
qtsensors-opensource-src (5.0~git20130115-0ubuntu1) raring; urgency=low

  * Initial release
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 18 Jan 2013 13:56:03 +0200

=== debian/control ===
Source: qtsensors-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               qtbase5-private-dev,
               qtdeclarative5-private-dev,
               qt5-default,
               pkg-kde-tools,
Standards-Version: 3.9.3
Homepage: http://qt-project.org/

Package: libqt5sensors5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Sensors module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Sensors module.

Package: qtdeclarative5-qtsensors-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Sensors module QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Sensors QML plugin for Qt Declarative.

Package: qtsensors5-dev
Section: libdevel
Architecture: any
Depends: libqt5sensors5 (= ${binary:Version}), ${misc:Depends}, qtbase5-dev
Description: Qt 5 Sensors development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Sensors library.

Package: qtsensors5-private-dev
Architecture: any
Section: libdevel
Depends: qtsensors5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 Sensors private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using sensors private headers.
 .
 Use at your own risk.

Package: qtsensors5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 sensors examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 Sensors examples.

Package: qtsensors5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5sensors5 (= ${binary:Version}),
         qtsensors5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt sensors library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Sensors
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtsensors5-dbg

override_dh_auto_configure:
	qmake

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtsensors-opensource-src 5.0~git20130507

=== debian/changelog ===
qtsensors-opensource-src (5.0~git20130507-0ubuntu3) saucy; urgency=low

  * Run tests during build (LP: #1193370).
  * Bump Standards-Version to 3.9.4, no changes needed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 21 Sep 2013 14:15:40 +0400

qtsensors-opensource-src (5.0~git20130507-0ubuntu2) saucy; urgency=low

  * Add version dependency to Qt 5.0.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 24 May 2013 17:31:18 +0300

qtsensors-opensource-src (5.0~git20130507-0ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * New upstream snapshot.

  [ Ken VanDine ]
  * debian/control
    - Only build for arches supported by qtdeclarative

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 08 May 2013 11:27:52 +0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9.0.0),
-               qtbase5-private-dev,
-               qtdeclarative5-private-dev,
+               qtbase5-private-dev (>= 5.0.2),
+               qtdeclarative5-private-dev (>= 5.0.2),
                qt5-default,
                pkg-kde-tools,
-Standards-Version: 3.9.3
+               xvfb,
+Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
 
 Package: libqt5sensors5
-Architecture: any
+Architecture: amd64 i386 armhf
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -20,9 +21,13 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt Sensors module.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git 
+ snapshot of an ongoing development. The package is very likely to 
+ change in a binary incompatible way, and no guarantees are given.
 
 Package: qtdeclarative5-qtsensors-plugin
-Architecture: any
+Architecture: amd64 i386 armhf
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -31,10 +36,14 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Qt Sensors QML plugin for Qt Declarative.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git 
+ snapshot of an ongoing development. The package is very likely to 
+ change in a binary incompatible way, and no guarantees are given.
 
 Package: qtsensors5-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 i386 armhf
 Depends: libqt5sensors5 (= ${binary:Version}), ${misc:Depends}, qtbase5-dev
 Description: Qt 5 Sensors development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -42,9 +51,13 @@
  .
  This package contains the header development files used for building Qt 5
  applications using Qt Sensors library.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git 
+ snapshot of an ongoing development. The package is very likely to 
+ change in a binary incompatible way, and no guarantees are given.
 
 Package: qtsensors5-private-dev
-Architecture: any
+Architecture: amd64 i386 armhf
 Section: libdevel
 Depends: qtsensors5-dev (= ${binary:Version}),
          ${misc:Depends},
@@ -57,9 +70,13 @@
  Qt 5 applications using sensors private headers.
  .
  Use at your own risk.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git 
+ snapshot of an ongoing development. The package is very likely to 
+ change in a binary incompatible way, and no guarantees are given.
 
 Package: qtsensors5-examples
-Architecture: any
+Architecture: amd64 i386 armhf
 Multi-Arch: same
 Section: x11
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
@@ -69,10 +86,14 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt 5 Sensors examples.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git 
+ snapshot of an ongoing development. The package is very likely to 
+ change in a binary incompatible way, and no guarantees are given.
 
 Package: qtsensors5-dbg
 Priority: extra
-Architecture: any
+Architecture: amd64 i386 armhf
 Section: debug
 Depends: libqt5sensors5 (= ${binary:Version}),
          qtsensors5-examples (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,16 @@
 	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtsensors5-dbg
 
 override_dh_auto_configure:
-	qmake
+	qmake QT_BUILD_PARTS+=tests
+
+override_dh_auto_test:
+	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+
+override_dh_auto_install:
+	dh_auto_install
+	# Fix wrong path in pkgconfig files
+	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
+    -exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz

## qtsensors-opensource-src 5.2.0+dfsg

=== debian/changelog ===
qtsensors-opensource-src (5.2.0+dfsg-2) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Fix typo in the previous changelog entry.
  * Install libqtsensors_linuxsys.so only on Linux.

  [ Pino Toscano ]
  * Do not install the private qmake stuff.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Dec 2013 15:18:42 -0300

qtsensors-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update libqt5sensors5.symbols.
  * Bump qtbase and qtdeclarative build-dependencies to 5.2.0.
  * Make Vcs-Browser field canonical by dropping useless attribute.
  * Run tests during build.
  * Explicitly define DEB_HOST_MULTIARCH in debian/rules.
  * Use my correct email for Uploaders field.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove transitional dummy package libqtsensors5-dev, it is no longer
    needed.
  * Regenerate symbols that used the qreal subst, they are no longer necessary.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Dec 2013 00:06:08 -0300

qtsensors-opensource-src (5.1.1+dfsg-3) unstable; urgency=low

  * Substitute qreal in symbols file to fix FTBFS on armhf.
  * Add myself to uploaders

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 12 Nov 2013 12:29:47 -0500

qtsensors-opensource-src (5.1.1+dfsg-2) unstable; urgency=low

  * Rename libqtsensors5-dev to libqt5sensors5-dev:
    - Provide libqtsensors5-dev as a transitional dummy package.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 06 Nov 2013 12:08:57 -0300

qtsensors-opensource-src (5.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Oct 2013 22:47:26 -0300

=== debian/control ===
Source: qtsensors-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: debhelper (>= 9.0.0),
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.2.0+dfsg~),
               qtdeclarative5-private-dev (>= 5.2.0~),
               xauth,
               xvfb
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsensors.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsensors.git

Package: libqt5sensors5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Sensors module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Sensors module.

Package: qtdeclarative5-qtsensors-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Sensors module QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Sensors QML plugin for Qt Declarative.

Package: libqt5sensors5-dev
Section: libdevel
Architecture: any
Depends: libqt5sensors5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Breaks: libqtsensors5-dev (<< 5.1.1+dfsg-2~)
Replaces: libqtsensors5-dev (<< 5.1.1+dfsg-2~)
Description: Qt 5 Sensors development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Sensors library.

Package: qtsensors5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 sensors examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 Sensors examples.

Package: qtsensors5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5sensors5 (= ${binary:Version}), ${misc:Depends}
Suggests: qtsensors5-examples (= ${binary:Version})
Description: Qt sensors library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Sensors
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

# Retrieve packages that have a .install-common file
pkgs_with_common = $(patsubst debian/%.install-common,%,$(wildcard debian/*.install-common))
# Retrieve packages that have a .install-$DEB_HOST_ARCH_OS file
pkgs_with_os = $(patsubst debian/%.install-$(DEB_HOST_ARCH_OS),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_OS)))

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsensors5-dbg

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_test:
	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib

override_dh_auto_install:
	dh_auto_install
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove private headers
	rm -fv debian/tmp/usr/include/qt5/QtSensors/*/QtSensors/private/*
	# ... and other private stuff
	rm -fv debian/tmp/usr/share/qt5/mkspecs/modules/qt_lib_sensors_private.pri

override_dh_install:
	# Now flush all the .install-* files as .install files.
	set -e; for pkg in $(pkgs_with_common); do \
		cat debian/$$pkg.install-common >> debian/$$pkg.install ; \
	done

	set -e; for pkg in $(pkgs_with_os); do \
		cat debian/$$pkg.install-$(DEB_HOST_ARCH_OS) >> debian/$$pkg.install ; \
	done

	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_clean:
	dh_clean

	# Don't forget to remove the .install files we generated.
	for pkg in $(pkgs_with_common); do \
		rm -f debian/$$pkg.install ; \
	done

	for pkg in $(pkgs_with_os); do \
		rm -f debian/$$pkg.install ; \
	done

prune-nonfree:
	# Remove minified jquery without source.
	rm -fv doc/config/scripts/jquery.js

## qtsensors-opensource-src 5.2.1+dfsg

=== debian/changelog ===
qtsensors-opensource-src (5.2.1+dfsg-2ubuntu2) trusty; urgency=medium

  * Break/replace the correct package. Fixes upgrade bug (LP: #1308212).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 16 Apr 2014 11:04:16 +0400

qtsensors-opensource-src (5.2.1+dfsg-2ubuntu1) trusty; urgency=low

  [ Timo Jyrinki ]
  * New upstream version
  * Reduce delta to Debian by dropping private headers too
  * Re-enable tests
  * Sync with Debian 5.2.1+dfsg-2, remaining changes:
    - Keep transitional package for this Ubuntu cycle
    - Tests enabled (now also in Debian -3 version)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 09:11:52 +0000

qtsensors-opensource-src (5.2.1+dfsg-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Build documentation packages (closes: #737712).
  * Properly clean the build.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Build-Depends-Indep with libqt5sql5-sqlite and qttools5-dev-tools to be
    able to build the doc.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Feb 2014 15:03:18 -0300

qtsensors-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Feb 2014 18:33:42 -0300

qtsensors-opensource-src (5.2.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 20:45:12 -0300

qtsensors-opensource-src (5.1.1+dfsg-2ubuntu3) trusty; urgency=low

  [ Iftikhar Ahmad (QA Engineer) ]
  * Enable make check and skip the failing unit tests during the packing build.

  [ Timo Jyrinki ]
  * Add xvfb to build-depends

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 10 Dec 2013 09:16:42 +0200

qtsensors-opensource-src (5.1.1+dfsg-2ubuntu2) trusty; urgency=low

  * Substitute qreal in symbols file to fix FTBFS on armhf.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 10 Nov 2013 13:36:40 +0400

qtsensors-opensource-src (5.1.1+dfsg-2ubuntu1) trusty; urgency=low

  [ Timo Jyrinki ]
  * Merge with unreleased Debian git
  * New upstream release
  * Bump build-deps to 5.1.1
  * Change architectures from a list to 'any'

  [ Dmitry Shachnev ]
  * Merge with Debian unstable, remaining changes:
    - Build against Qt 5.0.2.
    - Build qtsensors5-private-dev package.
    - Add a transitional package from qtsensors5-dev to libqt5sensors5-dev.
    - Kubuntu Vcs fields.
  * Tests temporarily disabled because of QTBUG-34500.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 09 Nov 2013 13:36:33 +0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: qtsensors-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.0+dfsg~),
-               qtdeclarative5-private-dev (>= 5.2.0~),
+               qtbase5-private-dev (>= 5.2.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.2.1~),
                xauth,
                xvfb
-Standards-Version: 3.9.4
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.2.1+dfsg~),
+                     qttools5-dev-tools (>= 5.2.1~)
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsensors.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsensors.git
+Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtsensors-opensource-src
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsensors-opensource-src
 
 Package: libqt5sensors5
 Architecture: any
@@ -42,12 +44,23 @@
  .
  This package contains the Qt Sensors QML plugin for Qt Declarative.
 
+Package: qtsensors5-dev
+Section: oldlibs
+Architecture: any
+Depends: libqt5sensors5-dev (= ${binary:Version}), ${misc:Depends}
+Description: transitional dummy package
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package to libqt5sensors5-dev. It can be
+ safely removed.
+
 Package: libqt5sensors5-dev
 Section: libdevel
 Architecture: any
 Depends: libqt5sensors5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
-Breaks: libqtsensors5-dev (<< 5.1.1+dfsg-2~)
-Replaces: libqtsensors5-dev (<< 5.1.1+dfsg-2~)
+Breaks: qtsensors5-dev (<< 5.1.1+dfsg-2~)
+Replaces: qtsensors5-dev (<< 5.1.1+dfsg-2~)
 Description: Qt 5 Sensors development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -59,7 +72,7 @@
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 sensors examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -80,3 +93,27 @@
  .
  This package contains the debugging symbols for the Qt 5 Sensors
  libraries.
+
+Package: qtsensors5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 Sensors documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 Sensors library
+ and binaries.
+
+Package: qtsensors5-doc-html
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 Sensors HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 Sensors
+ libraries and binaries.

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,19 @@
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests
 
+override_dh_auto_build-arch:
+	# This override may seem futile, but it helps us make sure that the tools
+	# needed for building the docs are built before calling them.
+	# If there's a better way, do not hesitate to tell us.
+	dh_auto_build
+
+override_dh_auto_build-indep:
+	dh_auto_build -Smakefile -- docs
+
 override_dh_auto_test:
 	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	dh_auto_install
 	
 	# Fix wrong path in pkgconfig files
@@ -38,7 +47,10 @@
 	# Remove private headers
 	rm -fv debian/tmp/usr/include/qt5/QtSensors/*/QtSensors/private/*
 	# ... and other private stuff
-	rm -fv debian/tmp/usr/share/qt5/mkspecs/modules/qt_lib_sensors_private.pri
+	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_sensors_private.pri
+
+override_dh_auto_install-indep:
+	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
 override_dh_install:
 	# Now flush all the .install-* files as .install files.
@@ -55,6 +67,11 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf doc/qtsensors doc/qtsensors.qch
+	rm -f examples/sensors/grue/detect_grue
+
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtsensors-opensource-src-([^-]*)\.tar.xz

## qtsensors-opensource-src 5.3.0+dfsg

=== debian/changelog ===
qtsensors-opensource-src (5.3.0+dfsg-1ubuntu2) utopic; urgency=medium

  * No-change rebuild to get dbgsyms for all binaries onto
    ddebs.ubuntu.com

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 13:29:24 -0700

qtsensors-opensource-src (5.3.0+dfsg-1ubuntu1) utopic; urgency=medium

  [ Dmitry Shachnev ]
  * Merge with Debian unstable, remaining change:
    - Add enable_make_check.patch to disable some failing tests.
  * Move includes

  [ Timo Jyrinki ]
  * Sync with Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Jun 2014 11:28:58 +0000

qtsensors-opensource-src (5.3.0+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Use Files-Excluded field instead of prune-nonfree target in rules.
  * Bump Qt build-dependencies.
  * Update for Multi-Arch headers location, mark libqt5sensors5-dev as
    Multi-Arch: same.
  * Update libqt5sensors5.symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 May 2014 14:13:50 -0300

qtsensors-opensource-src (5.2.1+dfsg-4) unstable; urgency=medium

  * Rename QML module qtdeclarative5-qtsensors-plugin to qml-module-qtsensors,
    providing proper Break+Replaces and file renamings.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 11:51:37 -0300

qtsensors-opensource-src (5.2.1+dfsg-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use dh_auto_test to run the tests.
  * Remove dh_builddeb override, xz is now the default compression method.
  * Remove dh_auto_build-arch override, it is not needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 23:22:30 -0300

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,20 @@
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: debhelper (>= 9.0.0),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.2.1~),
+               qtbase5-private-dev (>= 5.3.0+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.0~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.2.1+dfsg~),
-                     qttools5-dev-tools (>= 5.2.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
+                     qttools5-dev-tools (>= 5.3.0~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
-Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtsensors-opensource-src
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsensors-opensource-src
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsensors.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsensors.git
 
 Package: libqt5sensors5
 Architecture: any
@@ -34,33 +35,35 @@
  This package contains Qt Sensors module.
 
 Package: qtdeclarative5-qtsensors-plugin
+Architecture: all
+Section: oldlibs
+Depends: qml-module-qtsensors, ${misc:Depends}
+Description: transitional dummy package for Qt 5 Sensors QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
+Package: qml-module-qtsensors
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 Sensors module QML plugin
+Breaks: qtdeclarative5-qtsensors-plugin (<< 5.2.1+dfsg-4~)
+Replaces: qtdeclarative5-qtsensors-plugin (<< 5.2.1+dfsg-4~)
+Description: Qt 5 Sensors QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the Qt Sensors QML plugin for Qt Declarative.
-
-Package: qtsensors5-dev
-Section: oldlibs
-Architecture: any
-Depends: libqt5sensors5-dev (= ${binary:Version}), ${misc:Depends}
-Description: transitional dummy package
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package to libqt5sensors5-dev. It can be
- safely removed.
+ This package contains the Qt Sensors QML module for Qt Declarative.
 
 Package: libqt5sensors5-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libqt5sensors5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
-Breaks: qtsensors5-dev (<< 5.1.1+dfsg-2~)
-Replaces: qtsensors5-dev (<< 5.1.1+dfsg-2~)
+Breaks: libqtsensors5-dev (<< 5.1.1+dfsg-2~)
+Replaces: libqtsensors5-dev (<< 5.1.1+dfsg-2~)
 Description: Qt 5 Sensors development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -72,7 +75,7 @@
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 sensors examples
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -22,17 +22,11 @@
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests
 
-override_dh_auto_build-arch:
-	# This override may seem futile, but it helps us make sure that the tools
-	# needed for building the docs are built before calling them.
-	# If there's a better way, do not hesitate to tell us.
-	dh_auto_build
-
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
 override_dh_auto_test:
-	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -45,7 +39,7 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 	# Remove private headers
-	rm -fv debian/tmp/usr/include/qt5/QtSensors/*/QtSensors/private/*
+	rm -fv debian/tmp/usr/include/*/qt5/QtSensors/*/QtSensors/private/*
 	# ... and other private stuff
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_sensors_private.pri
 
@@ -63,9 +57,6 @@
 	done
 
 	dh_install --fail-missing
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
 
 override_dh_auto_clean:
 	dh_auto_clean

## qtsensors-opensource-src 5.3.2+dfsg

=== debian/changelog ===
qtsensors-opensource-src (5.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 23:53:24 -0300

qtsensors-opensource-src (5.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies for Qt 5.3.2.
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.
  * Update debian/copyright for new release.
  * Use correct exception syntax in debian/copyright.
  * Build-depend on qtbase5-doc-html.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 18 Sep 2014 12:38:10 +0400

qtsensors-opensource-src (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Disable test to sort out transition. Yes, ugly hack.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Jul 2014 18:19:09 -0300

qtsensors-opensource-src (5.3.0+dfsg-3) unstable; urgency=medium

  * Drop transitional QML module package.
  * Update symbols files with buildds' and current logs (Closes: #746901).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Jun 2014 20:14:12 -0300

qtsensors-opensource-src (5.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 00:53:15 -0300

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: qtsensors-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@gmail.com>
-Build-Depends: debhelper (>= 9.0.0),
+           Dmitry Shachnev <mitya57@debian.org>
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.0+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.2~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
-                     qttools5-dev-tools (>= 5.3.0~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
+                     qtbase5-doc-html (>= 5.3.2+dfsg~),
+                     qttools5-dev-tools (>= 5.3.2~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsensors.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsensors.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtsensors.git
 
 Package: libqt5sensors5
 Architecture: any
@@ -33,16 +33,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt Sensors module.
-
-Package: qtdeclarative5-qtsensors-plugin
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtsensors, ${misc:Depends}
-Description: transitional dummy package for Qt 5 Sensors QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtsensors
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,13 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsensors5-dbg
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	qmake #QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
-override_dh_auto_test:
-	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+#override_dh_auto_test:
+#	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -74,7 +74,3 @@
 	for pkg in $(pkgs_with_os); do \
 		rm -f debian/$$pkg.install ; \
 	done
-
-prune-nonfree:
-	# Remove minified jquery without source.
-	rm -fv doc/config/scripts/jquery.js

## qtsensors-opensource-src 5.4.1+dfsg

=== debian/changelog ===
qtsensors-opensource-src (5.4.1+dfsg-1ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Sync with Debian, remaining changes:
    - Keep transitional package until after 16.04 LTS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 07:43:57 +0000

qtsensors-opensource-src (5.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.

  [ Rohan Garg ]
  * Don't install the dummy sensors plugin, it was removed in 5.4.1
    (see https://bugreports.qt.io/browse/QTBUG-39475).

  [ Dmitry Shachnev ]
  * Bump Qt build-dependencies to 5.4.1.
  * Update debian/watch to use https://download.qt.io/.
  * Disable tests that work only on local installations.
  * Re-enable running tests during build.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Mar 2015 19:47:10 +0300

qtsensors-opensource-src (5.4.0+dfsg-1ubuntu1) vivid; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release.
  * Bump dependencies.
  * Update libqt5sensors5-dev.install

  [ Dmitry Shachnev ]
  * Merge with Debian experimental, remaining changes:
    - Add enable_make_check.patch to disable some failing tests.
    - Keep transitional package until after 16.04 LTS.
    - Keep tests enabled.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:38:47 +0000

qtsensors-opensource-src (5.4.0+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Update and clean up debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update libqt5sensors5.symbols.

  [ Timo Jyrinki ]
  * Update libqt5sensors5-dev.install.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Dec 2014 13:13:01 +0300

qtsensors-opensource-src (5.3.2+dfsg-2ubuntu1) vivid; urgency=medium

  * New upstream release
  * Bump dependencies
  * Sync with Debian, remaining changes:
    - Add enable_make_check.patch to disable some failing tests.
    - Keep transitional package until after 16.04 LTS
    - Keep tests enabled

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 07:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtsensors-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -11,14 +12,14 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.2~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
-                     qtbase5-doc-html (>= 5.3.2+dfsg~),
-                     qttools5-dev-tools (>= 5.3.2~)
-Standards-Version: 3.9.5
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+                     qtbase5-doc-html (>= 5.4.1+dfsg~),
+                     qttools5-dev-tools (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsensors.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtsensors.git
@@ -33,6 +34,16 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt Sensors module.
+
+Package: qtdeclarative5-qtsensors-plugin
+Architecture: all
+Section: oldlibs
+Depends: qml-module-qtsensors, ${misc:Depends}
+Description: transitional dummy package for Qt 5 Sensors QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtsensors
 Architecture: any

## qtsensors-opensource-src 5.4.2

=== debian/changelog ===
qtsensors-opensource-src (5.4.2-1ubuntu2) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 09:38:17 +0300

qtsensors-opensource-src (5.4.2-1ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:48:13 +0000

qtsensors-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update Source URL, as gitorious is closing.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation (Closes: #751182).
  * The original source package no longer contains the minimized javascript
    code, so we are switching back to non-dfsg versioning.
    - Update debian/copyright accordingly.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 16:50:09 -0300

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.2~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-                     qtbase5-doc-html (>= 5.4.1+dfsg~),
-                     qttools5-dev-tools (>= 5.4.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+                     qtbase5-doc-html (>= 5.4.2+dfsg~),
+                     qttools5-dev-tools (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsensors.git

=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,13 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsensors5-dbg
 
 override_dh_auto_configure:
-	qmake #QT_BUILD_PARTS+=tests
+	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
-#override_dh_auto_test:
-#	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+override_dh_auto_test:
+	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 
 override_dh_auto_install-arch:
 	dh_auto_install

## qtsensors-opensource-src 5.5.1

=== debian/changelog ===
qtsensors-opensource-src (5.5.1-1ubuntu2) xenial; urgency=medium

  * Remove libqt5xcbqpa5 dependency, it was merged back to libqt5gui5.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 14 Mar 2016 13:17:58 +0000

qtsensors-opensource-src (5.5.1-1ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Merge with Debian's packaging, remaining changes:
    - A transitional package for Ubuntu 14.04 LTS -> 16.04 LTS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 12:19:44 +0000

qtsensors-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 19 Oct 2015 09:40:36 +0000

qtsensors-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Do not run tests during arch-indep builds.
  * Build-depend on libqt5xcbqpa5, it is needed to run tests under Xvfb.
  * Refresh disable_local_tests.diff.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Aug 2015 21:33:38 +0300

qtsensors-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 17:41:45 -0300

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.2~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.5.1~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-                     qtbase5-doc-html (>= 5.4.2+dfsg~),
-                     qttools5-dev-tools (>= 5.4.2~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+                     qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qttools5-dev-tools (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsensors.git

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,11 @@
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+
+# Do not attempt to run tests during indep build
+override_dh_auto_test-indep:
 
 override_dh_auto_install-arch:
 	dh_auto_install
